﻿module.exports = function (config) {
    config.set({
        browsers: [
            'Chrome',
            //'PhantomJS'
        ],
        frameworks: ['jasmine'],
        files: [
            'Scripts/*.spec.js'
        ],
        preprocessors: {
            'Scripts/**/*.js': ['webpack']
        },
        webpack: {
            module: {
                loaders: [
                    { test: /\.js?$/, loaders: ['babel'], exclude: /node_modules/ },
                    { test: /\.js$/, exclude: /node_modules/, loader: 'babel-loader' },
                    { test: /\.css$/, loader: "style!css" }
                ]
            },
            devtool: 'source-map'
        },
        plugins: [
            require('karma-webpack'),
            require('karma-jasmine'),
            require('karma-chrome-launcher'),
            //require('karma-phantomjs-launcher')
        ]
    });
};