﻿using NUnit.Framework;
using System.Diagnostics;

namespace TestLifeCycle
{
    public class BaseClass
    {
        [TestFixtureSetUp]
        public void BaseClassSetUp()
        {
            Trace.WriteLine(nameof(BaseClassSetUp));
        }

        [SetUp]
        public void BaseTestSetUp()
        {
            Trace.WriteLine(new string(' ', 4) + nameof(BaseTestSetUp));
        }

        [TearDown]
        public void BaseTestTearDown()
        {
            Trace.WriteLine(new string(' ', 4) + nameof(BaseTestTearDown));
        }

        [TestFixtureTearDown]
        public void BaseClassTearDown()
        {
            Trace.WriteLine(nameof(BaseClassTearDown));

            object result = "";
        }
    }
}
